Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"f0ffbbec-a281-4ee6-86c1-3be457bf1abd","userId":"8b9e61ea-f55a-4745-969d-3770464d7e32","userUrl":null,"type":"Angry","creationDateTime":"2026-11-04T15:17:32.4973504+00:00"},{"id":"3952f9be-9240-41ac-8d28-f7d8f8fcc9f6","userId":"eaaff0d8-63a5-442c-8245-09576f5da2f8","userUrl":null,"type":"Like","creationDateTime":"2026-11-04T15:17:32.4973504+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string